Bug 30404 - Enlarge all patron searches pop-up
Summary: Enlarge all patron searches pop-up
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 30063
Blocks:
  Show dependency treegraph
 
Reported: 2022-03-30 07:30 UTC by Jonathan Druart
Modified: 2022-04-15 10:16 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Bug 30404: Enlarge all patron search pop-ups (6.20 KB, patch)
2022-03-31 08:34 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 30404: Enlarge all patron search pop-ups (6.33 KB, patch)
2022-03-31 13:04 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 30404: Enlarge all patron search pop-ups (6.40 KB, patch)
2022-03-31 14:28 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2022-03-30 07:30:51 UTC
The guarantor one has been enlarged because it contains a lot of columns but we could enlarge all others as well.
Comment 1 Owen Leonard 2022-03-30 10:30:20 UTC
Now that patron searches will all be API-based it might be the time to switch to using a modal for all of the pop-up patron searches.
Comment 2 Jonathan Druart 2022-03-31 08:34:01 UTC
Created attachment 132662 [details] [review]
Bug 30404: Enlarge all patron search pop-ups

Enlarging the pop-ups will hide the scrollbars (at least the horizontal
one).

Test plan:
Search for patrons (when a new pop-up is opened) and confirm that the
pop-up is bigger than without this patch.
Comment 3 Jonathan Druart 2022-03-31 08:34:49 UTC
(In reply to Owen Leonard from comment #1)
> Now that patron searches will all be API-based it might be the time to
> switch to using a modal for all of the pop-up patron searches.

Yes definitely, that one of my plans :)
Comment 4 Séverine Queune 2022-03-31 13:04:18 UTC
Created attachment 132750 [details] [review]
Bug 30404: Enlarge all patron search pop-ups

Enlarging the pop-ups will hide the scrollbars (at least the horizontal
one).

Test plan:
Search for patrons (when a new pop-up is opened) and confirm that the
pop-up is bigger than without this patch.

Signed-off-by: Séverine Queune <severine.queune@bulac.fr>
Comment 5 Séverine Queune 2022-03-31 13:04:56 UTC
Works perfectly for :
 - patrons to notify on receiving
 - select suggestion's manager
 - Patron's card batch
 - select funds owner
 - select funds users
 - select manager of an acquisition basket
 - serial routing list
 
Remains the same for guarantor selection as expected

Well done Jonathan !
Comment 6 Martin Renvoize 2022-03-31 14:28:42 UTC
Created attachment 132780 [details] [review]
Bug 30404: Enlarge all patron search pop-ups

Enlarging the pop-ups will hide the scrollbars (at least the horizontal
one).

Test plan:
Search for patrons (when a new pop-up is opened) and confirm that the
pop-up is bigger than without this patch.

Signed-off-by: Séverine Queune <severine.queune@bulac.fr>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 7 Martin Renvoize 2022-03-31 14:33:10 UTC
So simple, so great!

PQA

Side note.. we should do the other popups too.. but after taking a look I decided not to do them inline here.. at least some may need to remain deliberately small (and possibly become modals instead of popouts)

z3950 searches in particular seem like a good candidate for expansion.. some marc doc stuff in addbiblio maybe not.
Comment 8 Fridolin Somers 2022-04-04 07:49:29 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄